as.dimRedData {dimRed} | R Documentation

## Converts to dimRedData

### Description

Conversion functions to dimRedData.

### Usage

    as.dimRedData(formula, ...)

    ## S4 method for signature 'formula'
    as.dimRedData(formula, data)

### Arguments

`formula` | The formula, left hand side is assigned to the meta slot right hand side is assigned to the data slot.
`...` | other arguments.
`data` | Will be coerced into a `data.frame` with `as.data.frame`

### Methods (by class)

- `formula`: Convert a `data.frame` to a dimRedData object using a formula

### See Also

Other dimRedData: `dimRedData-class`

### Examples

    ## create a dimRedData object using a formula
    as.dimRedData(Species ~ Sepal.Length + Sepal.Width + Petal.Length + Petal.Width,
                  iris)[1:5]

[Package dimRed version 0.2.2 Index]